dnl Process this file with autoconf to produce a configure script.
AC_INIT(README)

dnl Identifiers
PACKAGE=dolfin
VERSION=0.2.10

dnl Initialize automake
AM_INIT_AUTOMAKE($PACKAGE, $VERSION, no-define)

dnl Checks for programs
AC_PROG_CC
AC_PROG_CXX
AC_PROG_RANLIB
AC_PROG_AWK
AC_PROG_INSTALL
AC_PROG_LN_S

dnl Checks for libraries.
dnl Replace `main' with a function in -lgrid:
dnl AC_CHECK_LIB(grid, main)

dnl Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST
AC_C_INLINE
AC_TYPE_SIZE_T

dnl Check for PETSc
dnl echo "checking for PETSc..."
dnl echo "  PETSc directory:    PETSC_DIR  = " $PETSC_DIR
dnl echo "  PETSc architecture: PETSC_ARCH = " $PETSC_ARCH
dnl if [ test -f $PETSC_DIR/include/petsc.h ]; then
dnl   echo "  Found PETSc header petsc.h"
dnl else
dnl  echo "  Unable to find PETSc header petsc.h."
dnl  echo "  You need PETSc to install DOLFIN. See http://www-fp.mcs.anl.gov/petsc/"
dnl  exit
dnl fi

dnl Specify the Makefiles that should be created
AC_OUTPUT( Makefile \
           src/Makefile \
           src/common/Makefile \
           src/io/Makefile \
           src/la/Makefile \
           src/grid/Makefile \
           src/fem/Makefile \
           src/modules/Makefile \
           src/modules/poisson/Makefile \
           src/modules/navier-stokes/Makefile \
           src/modules/conv-diff/Makefile \
           src/init/Makefile \
           src/config/Makefile \
           src/problems/Makefile \
           src/problems/navier-stokes/Makefile \
           src/utils/Makefile \
           src/utils/inp2dx/Makefile )
